<?php /*   $Id: FR-2.9.php,v 2.10 2007/02/28 17:22:27 pat Exp $   */       ?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional //EN ">
<html>
 <head>
 <title>FreeRealty documentation</title>
 </head>
 <body>
 <h1> Welcome to FreeRealty 2.9</h1>
 Beginning with version 2.8.4 additional documentation is being added in an attempt to 
 make use of this project easier. Several different types of installations will be covered in 
 this document. Since this is a fork of Jon Roig's version 2.6 OpenRealty 
 <a href="http://www.jonroig.com">(here)</a> we will first cover installing over the top of 
 OpenRealty 2.6. If you are starting from scratch you can skip to the 
 <a href="#clean">new install instructions</a> 
 <ol>Upgrade from OpenRealty 2.6- assuming a clean 2.6 install
   <li>Use the upgrade scripts in <a href="../upgrades/index.php" target="_blank">/upgrades</a><br />
   Several different scripts are available depending upon which version you are currently running. If you are upgrading from 
   V 2.6 make sure to run the conversion scripts below for your thumbnail images.
   
   <li>To use the new thumbnail features for previewing the homes you will need to convert the 
   existing images in the db by running <a href="../upgrades/convert.php" target="_blank">
   /upgrades/convert.php</a>
   This file modifies the database by pulling images for each listing, creating a thumbnail view
   and inserting that back into the database. <a href="../upgrades/convert_agent.php" target="_blank">
   /upgrades/convert_agent.php</a> should be run to convert the agent images and add the thumbnails.
   <li>Files changed: Nearly every file has had changes, please consult the patch files to 
   determine whether the changes are trivial for your installation.
   <li>To have images saved to folders instead of the database, insert the following configuration items in common.php: <br />
   $images_use = "folders";  <br />
   $imageloc = "images"; <br />
   Access and run /upgrades/exportimages.php <br />
   <b>Delete exportimages.php</b>

   
 </ol>

 <a name="clean">
 <h2>Clean Install</h2>
  <ol> By far the 'easiest' install.
   <li>Download the latest file from
   <a href="http://freerealty.rwcinc.net/download.php">http://freerealty.rwcinc.net/download.php</a>
   <li>Change to the desired directory eg /var/www
   <li>Unpack the file  eg #unzip FR-2.9-pre3.zip will unpack to /var/www/FR-2.9-pre3/
    <ul>
    <li>This allows you to play until you 'get it right' as a previous version would be in 
    /var/www/FR-2.8.6, etc.
   </ul>
   <li>Set up the database. This involves creating the database and setting up a user/password 
   combination.
    <ul><li>FreeRealty only uses MySQL.
    </ul>
   <li>Decide whether you want to have your images in the web folders or in the database. There are two options: db or folders.
   Failing to set either "db" or "folders" in the common.php file will result in the database being used for images.
   <ul><li>There are arguments and preferences for each method. 
   <li>If you are going to use the folders method I highly suggest you put them either in a "public" folder with proper 
    permissions or in a non public folder.
   <li>By proper permissions I mean, on my server they are in a folder owned by me, in the web server group and 
   <b>NOT WRITABLE BY ANY OTHER PARTY</b>. Do not set permissions to 666 or 777! I cannot stress this enough. If you 
   <u>must</u> use the folder method, make sure that it is owned by you and the web server process group ie mine is pat:apache.
   Permissions are 665 (user can read write and "execute"or open the folder, the group has the same permissions. Everyone else
   can read and "execute" or open the folder but not write to it.) Setting the permissions any looser is asking for trouble.
   Sorry if this seems obvious, but there are at least two other scripts (one happens to be a real estate listing script) that 
   suggest setting permissions to 666 or 777. I am suggesting you lock your scripts down.<br />
   Image folders should be set to 664, 665, 774 or 775 to allow uploads. 
   <ul>
   <li>The current configuration will use the images/listings and images/agents sub directories.
   <li>The images folder is relative to your install path to make it easier. The scripts will look for your images in 
   $install_path/$imageloc/listings and $install_path/$imageloc/agents.
   <li>Listing images will be named as image number _ (underscore) filename, so an image named mybighouse.jpg that is the 
   10th image to be uploaded (the autoincremented image id) will show up as 10_mybighouse.jpg the thumbnail will be 
   10_thumb_mybighouse.jpg. The database will save the filename as mybighouse.jpg.
   </ul>
   
   </ul>
   <li>Copy common.sample.php to common.php or run <a href="../install.php">/install.php</a>
   <li>The install script will run and create your common.php <b>if</b> your installation directory is writable. <br />
    If you need to set the directory as writable (temporarily) under *nix simply run chmod o+w /&lt;installation directory&gt; <br />
    Access install.php <br />
    Afterwards remove the world writable setting: chmod o-w /&lt;installation directory&gt;
    <li>If you can't run install.php for some reason copy common.sample.php to common.php and edit common.php
    <li><b>Delete upgrades/exportimages.php</b>
    
    
    <li>Set the user name and password for the database
    <li>If you are using a 'sub' database ie your host will only allow you a single MySQL
    database, set the $table_prefix variable. This allows you to do multiple installs on the 
    same database. For instance assume you have a database named web_data, setting the 
    table_prefix to 'realty' creates the following tables in web_data: realtyhomes, 
    realtytbl_Files, realtyagents, etc.
    <li>Unless you want people to just add agents without your control set $require_admin = 'y'
   <li>Edit index.php and content/main.php to give the desired content.
   <li>Edit includes/thumbnail.php for the image library you have installed on the server.
   By default the GD libraries are set. If you have either the NetPBM or ImageMagick libraries
   set the image_style variable to use the other library. (ImageMagick and NetPBM create awesome
   looking thumbnails compared to GD1)
   <li>Run <a href="../install/configurator.php" target="_blank">/install/configurator.php</a>
   to set up the database.
   <li>(optional)Rename the folder to freerealty or whatever you want(just make sure the 
   install_path variable is set right in common.php)
   <li>You should now be able to upload properties, add agents, etc. by logging into 
   <a href="../admin/admin.php" target="_blank">/admin/admin.php</a>
   
   <li>email me at freerealty (at) rwcinc.net to let me know if you found this script useful
   </ol>
   
   
   Unfortunately, creating the database is beyond the scope of this 
   script. 

 
 <body>
</html>
